Bug 1325414 - Review Request: pag - Commandline interaction with pagure.io
Summary: Review Request: pag - Commandline interaction with pagure.io
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-08 18:58 UTC by Ralph Bean
Modified: 2016-04-22 01:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-18 17:27:09 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Ralph Bean 2016-04-08 18:58:18 UTC
Spec URL: http://ralph.fedorapeople.org//pag.spec
SRPM URL: http://ralph.fedorapeople.org//pag-0.3-1.fc23.src.rpm

Description:
Command line tool for interacting with https://pagure.io

Comment 1 Ralph Bean 2016-04-08 18:58:22 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=13597632

Comment 2 Igor Gnatenko 2016-04-10 14:28:39 UTC
AFAIK it should be named as python-pag.

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-04-10 22:31:22 UTC
(In reply to Igor Gnatenko from comment #2)
> AFAIK it should be named as python-pag.
That depends on whether the "package is usable on its own" [https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28General.29]. Since it's a commandline client, I'd say yes. So the name seems OK.

A related question is whether the module can be useful on it's own, from other python code?

%description should say a bit more, not everybody known what pagure is and kind of interaction you can have with it:
"""
pag is a command line tool for interacting with the git repository hosting service https://pagure.io. It provides the support for cloning projects and
opening new ones.
"""
Also the description should end with a dot.

License doesn't match the info on pypi. And the license field doesn't match the categories ;(

Comment 4 Zbigniew Jędrzejewski-Szmek 2016-04-10 22:36:31 UTC
def run(cmd):
    click.echo('  $ ' + cmd)
    return os.system(cmd)

def clone(name):
    url = repo_url(name, ssh=True, git=True)
    run('git clone %s %s' % (url, name.split('/')[-1]))

That's ... ugly. Since this is python3 only, why not use subprocess.run?

Comment 5 Ralph Bean 2016-04-11 13:19:47 UTC
Ah, I didn't know about `subprocess.run`.  Seems nice!  https://pagure.io/pag/issue/1

Comment 6 Ralph Bean 2016-04-11 13:41:32 UTC
Here's quick release that fixes just the license and description issues:

Spec URL: http://threebean.org/rpm/SPECS/pag.spec
SRPM URL: http://threebean.org/rpm/SRPMS/pag-0.4-1.fc23.src.rpm

Comment 7 Zbigniew Jędrzejewski-Szmek 2016-04-11 15:20:58 UTC
To answer the question about naming: it seems that pag is just a CLI, at least for now, and other project will not be using the python module. If that ever changes, it is always possible to split out python3-pag and even possibly python2-pag submodules. So the name 'pag' is appropriate.

I don't think you need this part:
sed -i 's|/usr/bin/python$|/usr/bin/python3|' %{buildroot}/%{_bindir}/pag
setuptools seems to set the header properly on its own.

+ latest version
+ package name is OK
+ license is acceptable (GPLv3+)
+ license file is present, %license is used
+ python packaging macros are used
+ no scriptlets present or necessary

Package is APPROVED.

Comment 8 Fedora Update System 2016-04-12 17:12:14 UTC
pag-0.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-661496dd88

Comment 9 Fedora Update System 2016-04-12 17:12:21 UTC
pag-0.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1946c7c76

Comment 10 Fedora Update System 2016-04-13 09:26:11 UTC
pag-0.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-661496dd88

Comment 11 Fedora Update System 2016-04-13 21:25:18 UTC
pag-0.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1946c7c76

Comment 12 Fedora Update System 2016-04-18 17:27:06 UTC
pag-0.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-04-22 01:23:21 UTC
pag-0.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.